Package Gnumed :: Package business :: Module gmForms |
[frames] | no frames]

# Module gmForms

source code

GNUmed forms classes

Business layer for printing all manners of forms, letters, scripts etc.

license: GPL v2 or later

Author: Ian Haywood <ihaywood@gnu.org>, karsten.hilbert@gmx.net

Classes
| cFormTemplateNameLong_MatchProvider
| cFormTemplateNameShort_MatchProvider
| cFormTemplateType_MatchProvider
| cFormTemplate
| gmOOoConnector This class handles the connection to OOo.
| cOOoLetter
| cFormEngine Ancestor for forms.
| cOOoForm A forms engine wrapping OOo.
| cAbiWordForm A forms engine wrapping AbiWord.
| cTextForm A forms engine outputting data as text for further processing.
| cLaTeXForm A forms engine wrapping LaTeX.
| cXeTeXForm A forms engine wrapping Xe(La)TeX.
| cGnuplotForm A forms engine wrapping Gnuplot.
| cPDFForm A forms engine wrapping PDF forms.
| cIanLaTeXForm A forms engine wrapping LaTeX.
| cXSLTFormEngine This class can create XML document from requested data, then process it with XSLT template and display results
| LaTeXFilter
| cHL7Form
| FormError

Functions
get_form_template(name_long=None, external_version=None) | source code
get_form_templates(engine=None, active_only=False, template_types=None, excluded_types=None) Load form templates. | source code
create_form_template(template_type=None, name_short=None, name_long=None) | source code
delete_form_template(template=None) | source code
init_ooo() FIXME: consider this: | source code
get_form(id) Instantiates a FormEngine based on the form ID or name from the backend | source code
test_au() | source code
test_au2() | source code
test_de() | source code

Variables
| form_engine_abbrevs = `[u'O', u'L', u'I', u'G', u'P', u'A', u'X`...``
| form_engine_names = `{u'O': 'OpenOffice', u'L': 'LaTeX', u'I': `...``
| form_engine_template_wildcards = `{u'O': u'*.o?t', u'L': u'*.te`...``
| form_engines = `{}`
| uno = `None`
| cOOoDocumentCloseListener = `None`
| writer_binary = `None`
| test_letter = ``...``

Imports: sys, time, os, logging, codecs, regex, shutil, random, platform, subprocess, socket, shlex, gmTools, gmDispatcher, gmExceptions, gmMatchProvider, gmBorg, gmLog2, gmMimeLib, gmShellAPI, gmCfg, gmCfg2, gmBusinessDBObject, gmPG2, gmPerson, gmStaff, gmPersonSearch, gmPraxis

Function Details

### init_ooo() | source code
    FIXME: consider this:

    try:
        import uno
    except:
        print "This Script needs to be run with the python from OpenOffice.org"
        print "Example: /opt/OpenOffice.org/program/python %s" % (
            os.path.basename(sys.argv[0]))
        print "Or you need to insert the right path at the top, where uno.py is."
        print "Default: %s" % default_path

Variables Details

  ### form_engine_abbrevs Value:
      [u'O', u'L', u'I', u'G', u'P', u'A', u'X', u'T']

  ### form_engine_names Value:
      {u'O': 'OpenOffice', u'L': 'LaTeX', u'I': 'Image editor', u'G': 'Gnupl
      ot script', u'P': 'PDF forms', u'A': 'AbiWord', u'X': 'Xe(La)TeX', u'T
      ': 'text export'}

  ### form_engine_template_wildcards Value:
      {u'O': u'*.o?t', u'L': u'*.tex', u'G': u'*.gpl', u'P': u'*.pdf', u'A':
       u'*.abw', u'X': u'*.tex', u'T': u'*.ini'}

  ### test_letter Value:
      """
      \\documentclass{letter}
      \\address{ $DOCTOR \\\\
      $DOCTORADDRESS}
      \\signature{$DOCTOR}

      \\begin{document}
      \\begin{letter}{$RECIPIENTNAME \\\\
      ...